#include <iostream>
using namespace std;
int main () {
int n,a,b,c,d,e,f,chetni,nechetni;
n=6;
cout << n << endl;
cin >> a >> b >> c >> d >> e >> f;
chetni = 0;
nechetni = 0;
if (a%2 == 0) {
  chetni++;

} else {
nechetni ++;
}

if (b%2 == 0) {
  chetni++;

} else {
nechetni ++;
}

if (c%2 == 0) {
  chetni++;

} else {
nechetni ++;
}

if (d%2 == 0) {
  chetni++;

} else {
nechetni ++;
}

if (e%2 == 0) {
  chetni++;

} else {
nechetni ++;
}

if (f%2 == 0) {
  chetni++;

} else {
nechetni ++;
}

cout << chetni << endl;
cout << nechetni << endl;











































return 0;
}
